classification
Title: Patch to add docstrings to msvcrt
Type: behavior Stage: resolved
Components: Documentation, Windows Versions: Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brian.curtin Nosy List: amaury.forgeotdarc, brian.curtin, docs@python, georg.brandl
Priority: normal Keywords: patch

Created on 2009-12-26 21:29 by brian.curtin, last changed 2010-08-24 05:20 by brian.curtin. This issue is now closed.

Files
File name Uploaded Description Edit
msvcrt_docstrings.diff brian.curtin, 2009-12-26 21:29 Patch against r77057 trunk
msvcrt_docstrings_v2.diff brian.curtin, 2009-12-28 14:45 Updated patch with Amaury's comments
issue7579_py3k.diff brian.curtin, 2009-12-30 21:14 Patch against py3k r77150
Messages (7)
msg96893 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2009-12-26 21:29
Patch to provide docstrings throughout the msvcrt module.
msg96932 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2009-12-28 00:39
This is a good idea. I have some comments though:
- the second docstring says "heapmin" when it should describe "locking".
- there are strange characters around "pushed back". Please use only ascii 
characters.
- The body of the docstrings should be split into separate lines. the 
ending ' \' should be replaced by with '\n\' (see Python/sysmodule.c, for 
example)
msg96950 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2009-12-28 14:44
I fixed up the bodies of the docstrings, removed the weird quotes around
"pushed back" (copy/paste error), and got the heapmin/locking name fixed up.

Thanks for taking a look at this.
msg97007 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-12-29 21:23
Patch looks good, can someone with the ability to test it please commit it?
msg97014 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2009-12-29 23:42
Committed r77126 in trunk.
I reflowed the text for getch(), so that help(msvcrt) displays nicely in a 
80-chars-wide console (this was my "test")

I was about to merge it into py3k, when I realized that the documentation 
should be updated to match the str/bytes distinction.
Can someone suggest a patch for py3k? (and for Doc/library/msvcrt.rst as 
well)
msg97060 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2009-12-30 21:14
Here is a patch for py3k. It uses the same contents as before but with
changes to the str/bytes wording on getch_doc, putch_doc, and
ungetch_doc. Includes updates to the msvcrt.rst file. Let me know if the
wording seems correct (or if I left anything out).

I went ahead and added docstrings to the debug-only functions as a bonus.
msg114769 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2010-08-24 05:20
Committed to py3k in r84295.
History
Date User Action Args
2010-08-24 05:20:55brian.curtinsetstatus: open -> closed
resolution: fixed
messages: + msg114769

stage: patch review -> resolved
2010-07-22 16:17:43brian.curtinsetassignee: docs@python -> brian.curtin
2010-07-22 15:33:44BreamoreBoysetassignee: georg.brandl -> docs@python

nosy: + docs@python
2010-01-13 02:04:36brian.curtinsetpriority: normal
type: behavior
stage: patch review
2009-12-30 21:14:48brian.curtinsetfiles: + issue7579_py3k.diff

messages: + msg97060
2009-12-29 23:42:38amaury.forgeotdarcsetmessages: + msg97014
2009-12-29 21:23:28georg.brandlsetmessages: + msg97007
2009-12-28 14:45:02brian.curtinsetfiles: + msvcrt_docstrings_v2.diff

messages: + msg96950
2009-12-28 00:39:46amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg96932
2009-12-26 21:29:28brian.curtincreate